<template>
  <!-- 卸船作业页面 -->
  <div class="shipTransport">
    <div class="top">
      <el-input class="el-input" placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" class="btn" @click="addclick">
        <i class="el-icon-circle-plus-outline"></i>新增
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
      <el-table-column fixed="right" label="操作" align="center" width="100">
        <template slot-scope="scope">
          <el-button @click="click(scope.row.resultId)" type="text" size="small"
            >编辑</el-button
          >
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.resultId)"
            >删除</el-button
          >
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getUnLoadShipList?apiId=68",
      },
    };
  },
  mounted() {
  },
  methods: {
    onclick() {
      this.option.requestUrl = "/api/v1/tms/getUnLoadShipList?apiId=68&con=" + this.input;
    },
    click(resultId) {
      this.$router.push("/updateUnloadShip/" + resultId);
    },
    addclick() {
      this.$router.push("/addUnloadShip/");
    },
    deleteclick(scope) {
      let resultId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.axios
            .post(
              "/api/v1/shipTms/tmsshipunloadshipresults/deleteUnLoadShip/" + resultId
            )
            .then(() => {
              this.$message({
            type: "success",
            message: "删除成功!",
          });
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.shipTransport {
  .top {
     padding: 1.25rem 0.375rem;
     .el-input{
       width: 20%;
       margin-right: 40rpx;
     }
     .btn{
       width: 5.5%;
       margin-left: 0.25rem;
     }
}
}
</style>